centos5.4安装g++和gcc

原创 2013年12月04日 21:06:59

centos5.4安装gcc和g++附带安装包地址:

http://download.csdn.net/detail/cyteven/6658377

分别执行下面安装指令即可

rpm -ivh glibc-common-2.5-42.i386.rpm
rpm -ivh kernel-headers-2.6.18-164.el5.i386.rpm
rpm -ivh libgcc-4.1.2-46.el5.i386.rpm
rpm -ivh glibc-2.5-42.i686.rpm
rpm -ivh cpp-4.1.2-46.el5.i386.rpm
rpm -ivh libgomp-4.4.0-6.el5.i386.rpm
rpm -ivh nscd-2.5-42.i386.rpm
rpm -ivh glibc-headers-2.5-42.i386.rpm
rpm -ivh glibc-devel-2.5-42.i386.rpm
rpm -ivh gcc-4.1.2-46.el5.i386.rpm
rpm -ivh libstdc++-4.1.2-46.el5.i386.rpm
rpm -ivh libstdc++-devel-4.1.2-46.el5.i386.rpm

rpm -ivh gcc-c++-4.1.2-46.el5.i386.rpm


最后验证

输入gcc

输入g++

结果为 g++: 没有输入文件 gcc: 没有输入文件证明你已经成功了


CentOS 5.4 下gcc和gcc-c++的光盘 rpm 安装方式

不能上网,利用光盘安装 gcc 和 gcc-c++的方法如下: 首先把光盘放入光驱内,虚拟机内的话就用 iso 光盘镜像就可以了。 然后如下: [root@localhost ~]# more ...
  • zl17
  • zl17
  • 2013年02月27日 11:30
  • 2159

中标麒麟和CentOS安装gcc5.4.0

自从佟哥出差到现在马上就一个月了,我终于在今天下午把程序跑通了,研究linux真是步步坎坷,在此做个总结。一、安装虚拟机及系统 虚拟机安装过程比较简单,而且默认配置不用该,在公司上不了网是因为要设置...

Ubuntu16.04 GCC5.4.0降级到GCC5.3.0

Ubuntu16.04 集成了GCC 5.4.0, 但是很多软件不支持这么高版本的GCC。本文提供一个把GCC 5.4.0 降级到GCC 5.3.0 的办法。 1.下载GCC源码: wget ft...

CentOS 6.3 手动rpm包安装gcc、g++

首先到http://mirrors.e21.cn/CentOS6.3_x64/Packages/下载用到的rpm包,包括:ppl-0.10.2-11.el6.x86_64.rpm 、cloog-ppl...
  • vah101
  • vah101
  • 2013年12月30日 11:20
  • 33293

centos下安装g++编译器

 通常情况下在centos下安装软件就用yum。当然可能默认的镜像点在某些地方比较慢,你可以配置,请参考其他资料。 关键是,使用yum你的知道安装包的名字是什么。如果直接键入 yum install ...

centos中安装g++

通常情况下在centos下安装软件就用yum.     关键是,使用yum你的知道安装包的名字是什么。如果直接键入yum install g++, 会告诉你没有这个包。所以你应该使用g...

记CentOS 7环境下安装g++

首先去CentOS 7的镜像文件中Packages目录下找到这两个安装包,libstdc++-devel-4.8.2-16.el7.x86_64.rpm、gcc-c++-4.8.2-16.el7.x8...
  • kimg_bo
  • kimg_bo
  • 2016年02月06日 22:28
  • 4006

Linux-CentOS环境下使用yum命令安装gcc/g++/gdb

当我们需要在Linux下进行C/C++编程时,就需要用到gcc,g++(编译工具),以及gdb(调试工具)。在centOS下安装其实很方便,只需要使用yum命令。yum(全称为 Yellow dog ...

中标麒麟和CentOS安装gcc5.4.0

自从佟哥出差到现在马上就一个月了,我终于在今天下午把程序跑通了,研究linux真是步步坎坷,在此做个总结。一、安装虚拟机及系统 虚拟机安装过程比较简单,而且默认配置不用该,在公司上不了网是因为要设置...

安装gcc必须三个库///configure: error: Building GCC requires GMP 4.2+, MPFR 2.3.1+ and MPC 0.8.0+.

起初由于gcc编译老出现错误于是我找到了gcc,并删除了它,可当我要用时出现无gcc compile,于是我又开始了痛苦的安装gcc过程。 郑重提出,安装gcc时还要安装它所需要的3个库!!!!!!...
内容举报
返回顶部
收藏助手
不良信息举报
您举报文章:centos5.4安装g++和gcc
举报原因:
原因补充:

(最多只允许输入30个字)